Subject: bug#67715: 28.2; Minibuffer content is sometimes unexpectedly partially hidden

From: martin rudalics <[email-masked]>
Date: Sun, 14 Jan 2024 09:49:24 +0100

> Thank you a lot Martin for looking into this. To clarify: Does the
 > cause of this issue, which is different from the one that was originally
 > stated, mean that issue I have filed here and which still persists can
 > be fixed while the other mentioned problem is also addressed correctly?

IIUC the code that previously calculated the frame title could resize
the minibuffer window and, while doing that, redisplay its contents in
your sense.  After the fix, it doesn't do that any more.

IMO, code calculating things like the mode line contents or the frame
title should be completely transparent.  It should affect only the
contents of the mode line or the frame title.  Anything else would be a
misfeature.  So I doubt that any future changes in that code will
address your problem.

I'd first try to add some :eval form to 'frame-title-format' that binds
‘inhibit-redisplay’ to nil and maybe resizes the minibuffer window so it
gets redisplayed to show the contents of its buffer in your sense.

martin